com.intellectualcrafters.plot.listeners

## Class PlotPlusListener

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.PlotListener
  - - com.intellectualcrafters.plot.listeners.PlotPlusListener

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class PlotPlusListener
      extends PlotListener
      implements org.bukkit.event.Listener

  Created by Citymonstret on 2014-10-30.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PlotPlusListener.Interval`
    `static class` | `PlotPlusListener.RecordMeta` Created by Citymonstret on 2014-10-22.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotPlusListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDamage(org.bukkit.event.entity.EntityDamageEvent event)`
    `void` | `onInteract(org.bukkit.event.block.BlockDamageEvent event)`
    `void` | `onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent event)`
    `void` | `onItemDrop(org.bukkit.event.player.PlayerDropItemEvent event)`
    `void` | `onItemPickup(org.bukkit.event.player.PlayerPickupItemEvent event)`
    `void` | `onPlayerQuit(org.bukkit.event.player.PlayerQuitEvent event)`
    `void` | `onPlotEnter(PlayerEnterPlotEvent event)`
    `void` | `onPlotLeave(PlayerLeavePlotEvent event)`
    `static void` | `startRunnable(org.bukkit.plugin.java.JavaPlugin plugin)`

    - ### Methods inherited from class com.intellectualcrafters.plot.listeners.PlotListener

      `blockChange, booleanFlag, enteredPlot, getCurrentPlot, getFlagValue, getName, getPlot, getPlotWorld, getUUID, isInPlot, isInPlot, isPlotWorld, isPlotWorld, leftPlot, plotEntry, plotExit, textures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotPlusListener

          public PlotPlusListener()

  - ### Method Detail

    - #### startRunnable

          public static void startRunnable(org.bukkit.plugin.java.JavaPlugin plugin)

    - #### onInventoryClick

          public void onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent event)

    - #### onInteract

          public void onInteract(org.bukkit.event.block.BlockDamageEvent event)

    - #### onDamage

          public void onDamage(org.bukkit.event.entity.EntityDamageEvent event)

    - #### onItemPickup

          public void onItemPickup(org.bukkit.event.player.PlayerPickupItemEvent event)

    - #### onItemDrop

          public void onItemDrop(org.bukkit.event.player.PlayerDropItemEvent event)

    - #### onPlotEnter

          public void onPlotEnter(PlayerEnterPlotEvent event)

    - #### onPlayerQuit

          public void onPlayerQuit(org.bukkit.event.player.PlayerQuitEvent event)

    - #### onPlotLeave

          public void onPlotLeave(PlayerLeavePlotEvent event)